local DrawCardLogic = require("drawCard.DrawCardLogic")
local RecommendLineup = require("drawCard.RecommendLineup")
local UnlimitDrawLogic = require("drawCard.UnlimitDrawLogic")

function CG_DRAWCARD_QUERY(human,msg)
	DrawCardLogic.query(human)
end

function CG_DRAWCARD_OP(human,msg)
	DrawCardLogic.op(human,msg.id,msg.op, msg.skip,msg.isAct)
end

function CG_DRAWCARD_SKIP_SET(human, msg)
	DrawCardLogic.setSkip(human, nil, msg.skip)
end

function CG_DRAWCARD_GET_RECOMMEND_LINEUP(human, msg)
	RecommendLineup.GetRecommendLineUp(human)
end

function CG_DRAWCARD_SKIP_HEROSHOW(human, msg)
	DrawCardLogic.SetHeroSkip(human, msg.bOperate)
end

function CG_UNLIMITDRAW_QUERY(human, msg)
	UnlimitDrawLogic.UnlimitDrawLogic_Query(human)
end

function CG_UNLIMITDRAW_DO(human, msg)
	UnlimitDrawLogic.UnlimitDrawLogic_Do(human)
end

function CG_UNLIMITDRAW_ABANDON(human, msg)
	UnlimitDrawLogic.UnlimitDrawLogic_Abandon(human)
end

function CG_UNLIMITDRAW_GET(human, msg)
	UnlimitDrawLogic.UnlimitDrawLogic_Get(human)
end